#!/bin/bash
#
# Recipe-specific step for task Install: task.install.u-boot-tools-native_2022.01-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -d ${installDir}${bindir}

	# mkimage
	log_run install -m 0755 tools/mkimage ${installDir}${bindir}/uboot-mkimage
	log_run ln -sf uboot-mkimage ${installDir}${bindir}/mkimage

	# mkenvimage
	log_run install -m 0755 tools/mkenvimage ${installDir}${bindir}/uboot-mkenvimage
	log_run ln -sf uboot-mkenvimage ${installDir}${bindir}/mkenvimage

	# dumpimage
	log_run install -m 0755 tools/dumpimage ${installDir}${bindir}/uboot-dumpimage
	log_run ln -sf uboot-dumpimage ${installDir}${bindir}/dumpimage

	# fit_check_sign
	log_run install -m 0755 tools/fit_check_sign ${installDir}${bindir}/uboot-fit_check_sign
	log_run ln -sf uboot-fit_check_sign ${installDir}${bindir}/fit_check_sign
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

