# Append script for task Install: task.install.bluez5_5.65-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	log_run install -d ${installDir}${sysconfdir}/init.d
	log_run install -m 0755 ${workDir}/init ${installDir}${sysconfdir}/init.d/bluetooth

	log_run install -d ${installDir}${sysconfdir}/bluetooth
	if [ -f ${srcDir}/profiles/network/network.conf ]; then
		log_run install -m 0644 ${srcDir}/profiles/network/network.conf ${installDir}/${sysconfdir}/bluetooth
	fi
	if [ -f ${srcDir}/profiles/input/input.conf ]; then
		log_run install -m 0644 ${srcDir}/profiles/input/input.conf ${installDir}/${sysconfdir}/bluetooth
	fi

	if [ -f ${installDir}/${sysconfdir}/init.d/bluetooth ]; then
		sed -i -e 's#@LIBEXECDIR@#'"${libexecdir}"'#g' ${installDir}/${sysconfdir}/init.d/bluetooth
	fi

	# Install desired tools that upstream leaves in build area
	for f in           attrib/gatttool     tools/obex-client-tool     tools/obex-server-tool     tools/bluetooth-player     tools/obexctl     tools/btmgmt                tools/bdaddr     tools/avinfo     tools/avtest     tools/scotest     tools/amptest     tools/hwdb     tools/hcieventmask     tools/hcisecfilter     tools/btinfo     tools/btsnoop     tools/btproxy     tools/btiotest     tools/bneptest     tools/mcaptest     tools/cltest     tools/oobtest     tools/advtest     tools/seq2bseq     tools/nokfw     tools/create-image     tools/eddystone     tools/ibeacon     tools/btgatt-client     tools/btgatt-server     tools/test-runner     tools/check-selftest     tools/gatt-service     profiles/iap/iapd        ; do
		log_run install -m 755 ${buildDir}/$f ${installDir}/${bindir}
	done

	# Patch python tools to use Python 3; they should be source compatible, but
	# still refer to Python 2 in the shebang
	sed -i -e '1s,#!.*python.*,#!'"${bindir}"'/python3,' ${installDir}${libdir}/bluez/test/*
