#!/bin/bash
#
# Recipe-specific step for task Install: task.install.openssl_3.0.5-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	do_make DESTDIR="${installDir}" MANDIR="${mandir}" MANSUFFIX=ssl install

	create_multilib_header ${recipe_name}/opensslconf.h
	create_multilib_header ${recipe_name}/configuration.h

	# Create SSL structure for packages such as ca-certificates which
	# contain hard-coded paths to $[sysconfdir]/ssl. Debian does the same.
	log_run install -d ${installDir}${sysconfdir}/ssl
	log_run mv ${installDir}${libdir}/ssl-3/certs \
	   ${installDir}${libdir}/ssl-3/private \
	   ${installDir}${libdir}/ssl-3/openssl.cnf \
	   ${installDir}${sysconfdir}/ssl

	# Although absolute symlinks would be OK for the target, they become
	# invalid if native or nativesdk are relocated from sstate.
	log_run ln -sf ../../..${sysconfdir}/ssl/certs ${installDir}${libdir}/ssl-3/certs
	log_run ln -sf ../../..${sysconfdir}/ssl/private ${installDir}${libdir}/ssl-3/private
	log_run ln -sf ../../..${sysconfdir}/ssl/openssl.cnf ${installDir}${libdir}/ssl-3/openssl.cnf
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

