#!/bin/bash
#
# Recipe-specific step for task Install: task.install.base-files_3.0.14-r89 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

: ${hostname:="ac6"}
: ${DISTRO_NAME:="\s \r (Ac6 SW4Linux Distro) "}
: ${DISTRO_VERSION:="${PLATFORM_VERSION}"}

do_install_basefilesissue() {
	log_run install -m 644 ${buildDir}/issue*  ${installDir}${sysconfdir}
	if [ -n "${DISTRO_NAME}" ]; then
		printf "${DISTRO_NAME}" >> ${installDir}${sysconfdir}/issue
		printf "${DISTRO_NAME}" >> ${installDir}${sysconfdir}/issue.net
		if [ -n "${DISTRO_VERSION}" ]; then
			distro_version_nodate="${DISTRO_VERSION}"
			printf "%s " $distro_version_nodate >> ${installDir}${sysconfdir}/issue
			printf "%s " $distro_version_nodate >> ${installDir}${sysconfdir}/issue.net
		fi
		printf "\\\n \\\l\n" >> ${installDir}${sysconfdir}/issue
		echo >> ${installDir}${sysconfdir}/issue
		echo "%h"    >> ${installDir}${sysconfdir}/issue.net
		echo >> ${installDir}${sysconfdir}/issue.net
	fi
}


function local_do_install() {
	for d in /sys /proc; do
		log_run install -m 0555 -d ${installDir}$d
	done
	for d in /boot /dev ${base_bindir} ${base_sbindir} ${base_libdir}            ${sysconfdir} ${sysconfdir}/default            ${sysconfdir}/skel ${base_libdir} /mnt /home/root /run            ${prefix} ${bindir} ${datadir}/doc/base-files-3.0.14 ${prefix}/games ${includedir}            ${libdir} ${sbindir} ${datadir}            ${datadir}/common-licenses ${datadir}/dict ${infodir}            ${mandir} ${datadir}/misc ${localstatedir}            ${localstatedir}/backups ${localstatedir}${base_libdir}            ${localstatedir}${base_libdir}/misc ${localstatedir}/spool            ${localstatedir}/volatile            ${localstatedir}/volatile/log            /home ${prefix}/src ${localstatedir}/local            /media; do
		log_run install -m 0755 -d ${installDir}$d
	done
	for d in /tmp ${localstatedir}/volatile/tmp; do
		log_run install -m 1777 -d ${installDir}$d
	done
	for d in ; do
		log_run install -m 2775 -d ${installDir}$d
	done
	for d in log tmp; do
		log_run ln -sf volatile/$d ${installDir}${localstatedir}/$d
	done

	log_run ln -snf ../run ${installDir}${runstatedir}
	log_run ln -snf ../run/lock ${installDir}${localstatedir}/lock

	log_run install -m 0644 ${buildDir}/hosts ${installDir}${sysconfdir}/hosts
	do_install_basefilesissue

	rotation=`cat ${buildDir}/rotation`
	if [ "$rotation" != "0" ]; then
		log_run install -m 0644 ${buildDir}/rotation ${installDir}${sysconfdir}/rotation
	fi

	log_run install -m 0644 ${buildDir}/fstab ${installDir}${sysconfdir}/fstab
	log_run install -m 0644 ${buildDir}/profile ${installDir}${sysconfdir}/profile
	sed -i 's#ROOTHOME#/home/root#' ${installDir}${sysconfdir}/profile
	sed -i 's#@BINDIR@#'"${bindir}"'#g' ${installDir}${sysconfdir}/profile
	log_run install -m 0644 ${buildDir}/shells ${installDir}${sysconfdir}/shells
	log_run install -m 0755 ${buildDir}/share/dot.profile ${installDir}${sysconfdir}/skel/.profile
	log_run install -m 0755 ${buildDir}/share/dot.bashrc ${installDir}${sysconfdir}/skel/.bashrc
	log_run install -m 0644 ${buildDir}/host.conf ${installDir}${sysconfdir}/host.conf
	log_run install -m 0644 ${buildDir}/motd ${installDir}${sysconfdir}/motd

	log_run ln -sf /proc/mounts ${installDir}${sysconfdir}/mtab

	# deal with hostname
	if [ "${hostname}" ]; then
		echo ${hostname} > ${installDir}${sysconfdir}/hostname
		echo "127.0.1.1 ${hostname}" >> ${installDir}${sysconfdir}/hosts
	fi
	log_run install -m 0644 ${buildDir}/nsswitch.conf ${installDir}${sysconfdir}/nsswitch.conf
}

do_buildstep_prepend

local_do_install

do_buildstep_append

