#!/bin/bash
#
# Recipe-specific step for task Install: task.install.base-passwd_3.5.29-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -d -m 755 ${installDir}${sbindir}
	log_run install -o root -g root -p -m 755 ${buildDir}/update-passwd ${installDir}${sbindir}
	log_run install -d -m 755 ${installDir}${mandir}/man8 ${installDir}${mandir}/pl/man8
	log_run install -p -m 644 ${srcDir}/man/update-passwd.8 ${installDir}${mandir}/man8
	log_run install -p -m 644 ${srcDir}/man/update-passwd.pl.8 \
		${installDir}${mandir}/pl/man8/update-passwd.8
	gzip -9 ${installDir}${mandir}/man8/* ${installDir}${mandir}/pl/man8/*
	log_run install -d -m 755 ${installDir}${datadir}/${recipe_name}
	log_run install -o root -g root -p -m 644 ${srcDir}/passwd.master ${installDir}${datadir}/${recipe_name}
	sed -i 's#:/root:#:/home/root:#' ${installDir}${datadir}/${recipe_name}/passwd.master
	log_run install -o root -g root -p -m 644 ${srcDir}/group.master ${installDir}${datadir}/${recipe_name}

	log_run install -d -m 755 ${installDir}${datadir}/doc/${recipe_name}
	log_run install -p -m 644 ${srcDir}/debian/changelog ${installDir}${datadir}/doc/${recipe_name}
	gzip -9 ${installDir}${datadir}/doc/${recipe_name}/*
	log_run install -p -m 644 ${srcDir}/README ${installDir}${datadir}/doc/${recipe_name}
	log_run install -p -m 644 ${srcDir}/debian/copyright ${installDir}${datadir}/doc/${recipe_name}
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

