#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

systemd_unitdir=${base_libdir}/systemd

do_buildstep_prepend

if [ ! -z "115200;ttyS0" ] ; then
	default_baudrate=`echo "115200;ttyS0" | sed 's/\;.*/'`
	log_run install -d ${installDir}${base_libdir}/systemd/system
	log_run install -d ${installDir}${sysconfdir}/systemd/system/getty.target.wants
	log_run install -m 0644 ${buildDir}/serial-getty@.service ${installDir}${base_libdir}/systemd/system
	sed -i -e "s/\@BAUDRATE\@/$default_baudrate/g" ${installDir}${base_libdir}/systemd/system/serial-getty@.service
	sed -i -e "s/\@TERM\@/linux/g" ${installDir}${base_libdir}/systemd/system/serial-getty@.service

	tmp="115200;ttyS0"
	for entry in $tmp ; do
		baudrate=`echo $entry | sed 's/\;.*/'`
		ttydev=`echo $entry | sed -e 's/^[0-9]*\;/' -e 's/\;.*/'`
		if [ "$baudrate" = "$default_baudrate" ] ; then
			# enable the service
			log_run ln -sf ${base_libdir}/systemd/system/serial-getty@.service \
				${installDir}${sysconfdir}/systemd/system/getty.target.wants/serial-getty@$ttydev.service
		else
			# install custom service file for the non-default baudrate
			log_run install -m 0644 ${buildDir}/serial-getty@.service ${installDir}${base_libdir}/systemd/system/serial-getty$baudrate@.service
			sed -i -e "s/\@BAUDRATE\@/$baudrate/g" ${installDir}${base_libdir}/systemd/system/serial-getty$baudrate@.service
			# enable the service
			log_run ln -sf ${base_libdir}/systemd/system/serial-getty$baudrate@.service \
				${installDir}${sysconfdir}/systemd/system/getty.target.wants/serial-getty$baudrate@$ttydev.service
		fi
	done
fi

do_buildstep_append