#!/bin/bash
#
# Recipe-specific step for task Install: task.install.util-linux-native_2.37.4-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	# with ccache the timestamps on compiled files may
	# end up earlier than on their inputs, this allows
	# for the resultant compilation in the install step.
	do_make 'CC='"${CC}" 'LD='"${LD}" \
		'LDFLAGS=-L'"${libdir}"'                         -L'"${base_libdir}"'                         -Wl,--enable-new-dtags                         -Wl,-rpath-link,'"${libdir}"'                         -Wl,-rpath-link,'"${base_libdir}"'                         -Wl,-rpath,'"${libdir}"'                         -Wl,-rpath,'"${base_libdir}"'                         -Wl,-O1 -Wl,--allow-shlib-undefined -Wl,--dynamic-linker=/home/tang/Yocto/st/openstlinux-5.15-yocto-kirkstone-mp1-v22.11.23/build-openstlinuxweston-stm32mp15-eval/tmp-glibc/sysroots-uninative/'"${configure_host_alias}"'/lib/ld-linux-x86-64.so.2' 'DESTDIR='"${installDir}" install

	log_run mkdir -p ${installDir}${base_bindir}

	sbinprogs="agetty ctrlaltdel cfdisk vipw vigr"
	sbinprogs_a="pivot_root hwclock mkswap losetup swapon swapoff fdisk fsck blkid blockdev fstrim sulogin switch_root nologin"
	binprogs_a="dmesg getopt kill more umount mount login su mountpoint"

	if [ "${base_sbindir}" != "${sbindir}" ]; then
		log_run mkdir -p ${installDir}${base_sbindir}
		for p in $sbinprogs $sbinprogs_a; do
			if [ -f "${installDir}${sbindir}/$p" ]; then
				log_run mv "${installDir}${sbindir}/$p" "${installDir}${base_sbindir}/$p"
			fi
		done
	fi

	if [ "${base_bindir}" != "${bindir}" ]; then
		log_run mkdir -p ${installDir}${base_bindir}
		for p in $binprogs_a; do
			if [ -f "${installDir}${bindir}/$p" ]; then
				log_run mv "${installDir}${bindir}/$p" "${installDir}${base_bindir}/$p"
			fi
		done
	fi

	log_run install -d ${installDir}${sysconfdir}/default
	echo 'MOUNTALL="-t nonfs,nosmbfs,noncpfs"' > ${installDir}${sysconfdir}/default/mountall

	rm -f ${installDir}${bindir}/chkdupexe
	rm -f ${installDir}${base_sbindir}/nologin
	rm -f ${installDir}${base_bindir}/kill
	rm -rf ${installDir}${includedir}/uuid ${installDir}${libdir}/pkgconfig/uuid.pc ${installDir}${libdir}/libuuid* ${installDir}${libdir}/libuuid*
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

