#!/bin/bash
#
# Recipe-specific step for task Install: task.install.docbook-xml-dtd4-native_4.5-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
    log_run install -d ${installDir}${sysconfdir}/xml
    xmlcatalog --create --noout ${installDir}${sysconfdir}/xml/docbook-xml.xml

    for DTDVERSION in 4.0 4.1.2 4.2 4.3 4.4 4.5; do
	DEST=${datadir}/xml/docbook/schema/dtd/$DTDVERSION
	log_run install -d -m 755 ${installDir}$DEST
	log_run cp -v -R docbook-$DTDVERSION/* ${installDir}$DEST
	xmlcatalog --verbose --noout --add nextCatalog unused file://$DEST/catalog.xml ${installDir}${sysconfdir}/xml/docbook-xml.xml
    done
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

