#!/bin/bash
#
# Recipe-specific step for task Install: task.install.docbook-xsl-stylesheets-native_1.79.1-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	
	# Refer to http://www.linuxfromscratch.org/blfs/view/stable/pst/docbook-xsl.html
	# for details.
	log_run install -v -m755 -d ${installDir}${datadir}/xml/docbook/xsl-stylesheets-1.79.1
	log_run ln -s xsl-stylesheets-1.79.1 ${installDir}${datadir}/xml/docbook/xsl-stylesheets

	log_run cp -v -R VERSION assembly common eclipse epub epub3 fo \
		highlighting html htmlhelp images javahelp lib manpages \
		params profiling roundtrip slides template webhelp website \
		xhtml xhtml-1_1 xhtml5 catalog.xml \
		${installDir}${datadir}/xml/docbook/xsl-stylesheets-1.79.1

	log_run ln -s VERSION ${installDir}/${datadir}/xml/docbook/xsl-stylesheets-1.79.1/VERSION.xsl

	log_run install -v -m644 -D README \
		${installDir}${datadir}/doc/docbook-xsl-1.79.1/README.txt
	log_run install -v -m644    RELEASE-NOTES* NEWS* \
		${installDir}${datadir}/doc/docbook-xsl-1.79.1

	log_run install -d ${installDir}${sysconfdir}/xml
	log_run install -m 755  ${workDir}/docbook-xsl.xml ${installDir}${sysconfdir}/xml/docbook-xsl.xml

	# Ensure that the catalog file sgml-docbook.cat is properly
	# updated when the package is installed from sstate cache.
	sed -i -e "s|file://.*/usr/share/xml|file://${datadir}/xml|g" ${installDir}${sysconfdir}/xml/docbook-xsl.xml
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append