# Append script for task Install: task.install.e2fsprogs-native_1.46.5-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

e2fsprogs_conf_fixup() {
	for i in mke2fs mkfs.ext2 mkfs.ext3 mkfs.ext4; do
		create_wrapper ${installDir}${sbindir}/$i MKE2FS_CONFIG=${sysconfdir}/mke2fs.conf
	done
}

	do_make_install-libs
	# We use blkid from util-linux now so remove from here
	rm -f ${installDir}${libdir}/libblkid*
	rm -rf ${installDir}${includedir}/blkid
	rm -f ${installDir}${libdir}/pkgconfig/blkid.pc
	rm -f ${installDir}${sbindir}/blkid
	rm -f ${installDir}${sbindir}/fsck
	rm -f ${installDir}${sbindir}/findfs

	# e2initrd_helper and the pkgconfig files belong in libdir
	if [ ! ${installDir}${libdir} -ef ${installDir}${libdir} ]; then
		log_run install -d ${installDir}${libdir}
		log_run mv ${installDir}${libdir}/e2initrd_helper ${installDir}${libdir}
		log_run mv ${installDir}${libdir}/pkgconfig ${installDir}${libdir}
	fi

	create_multilib_header ext2fs/ext2_types.h
	log_run install -d ${installDir}${base_bindir}
	log_run mv ${installDir}${bindir}/chattr ${installDir}${base_bindir}/chattr.e2fsprogs
	log_run mv ${installDir}${bindir}/lsattr ${installDir}${base_bindir}/lsattr.e2fsprogs

	log_run install -v -m 755 ${srcDir}/contrib/populate-extfs.sh ${installDir}${sbindir}

	# Clean host path (build directory) in compile_et, mk_cmds
	sed -i -e "s,\(ET_DIR=.*\)${srcDir}/lib/et\(.*\),\1${datadir}/et\2,g" ${installDir}${bindir}/compile_et
	sed -i -e "s,\(SS_DIR=.*\)${srcDir}/lib/ss\(.*\),\1${datadir}/ss\2,g" ${installDir}${bindir}/mk_cmds
	e2fsprogs_conf_fixup
