#!/bin/bash
#
# Recipe-specific step for task Configure: task.configure.perl-native_5.34.1-r0 (configure.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_configure() {
    log_run cp -rfp ${datadir}/perl-cross/* ${buildDir}
    ./configure --prefix=${prefix} \
    -Dbin=${bindir}/${recipe_name} \
    -Duseshrplib \
    -Dusethreads \
    -Dsoname=libperl.so.5 \
    -Dvendorprefix=${prefix} \
    -Ui_xlocale \
    -Alddlflags=' -L'"${libdir}"'                         -L'"${base_libdir}"'                         -Wl,--enable-new-dtags                         -Wl,-rpath-link,'"${libdir}"'                         -Wl,-rpath-link,'"${base_libdir}"'                         -Wl,-rpath,'"${libdir}"'                         -Wl,-rpath,'"${base_libdir}"'                         -Wl,-O1 -Wl,--allow-shlib-undefined -Wl,--dynamic-linker=/home/tang/Yocto/st/openstlinux-5.15-yocto-kirkstone-mp1-v22.11.23/build-openstlinuxweston-stm32mp15-eval/tmp-glibc/sysroots-uninative/'"${configure_host_alias}"'/lib/ld-linux-x86-64.so.2' \
     -Ui_db
    if [ -n "$SOURCE_DATE_EPOCH" ]; then
	PERL_BUILD_DATE="$(/home/tang/Yocto/st/openstlinux-5.15-yocto-kirkstone-mp1-v22.11.23/layers/openembedded-core/bitbake/bin/bitbake-server -c "\
from datetime import datetime, timezone; \
print(datetime.fromtimestamp($SOURCE_DATE_EPOCH, timezone.utc).strftime('%a %b %d %H:%M:%S %Y')) \
	    ")"
	echo "#define PERL_BUILD_DATE \"$PERL_BUILD_DATE\"" >> config.h
    fi
}

do_buildstep_prepend

local_do_configure

do_buildstep_append

