# Append script for task Install: task.install.perl-native_5.34.1-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally


    log_run install -d ${installDir}${libdir}/perl5
    log_run install -d ${installDir}${libdir}/perl5/${recipe_version}
    log_run install -d ${installDir}${libdir}/perl5/${recipe_version}/ExtUtils

    # Save native config
    log_run install config.sh ${installDir}${libdir}/perl5
    log_run install lib/Config.pm ${installDir}${libdir}/perl5/${recipe_version}
    log_run install lib/ExtUtils/typemap ${installDir}${libdir}/perl5/${recipe_version}/ExtUtils

    # Fix up shared library
    dir=$(echo ${installDir}/${libdir}/perl5/${recipe_version}/*/CORE)
    rm $dir/libperl.so
    log_run ln -sf ../../../../libperl.so.5.34.0 $dir/libperl.so

    # Try to catch Bug #13946
    if [ -e ${installDir}/${libdir}/perl5/${recipe_version}/Storable.pm ]; then
	fatal_no_status 'non-arch specific Storable.pm found! See http://bugzilla.ac6.fr/show_bug.cgi?id=13946'
    fi
    # Those wrappers mean that $[recipe_base_name] installed from sstate (which may change
    # path location) works and that in the nativesdk case, the SDK can be
    # installed to a different location from the one it was built for.
    create_wrapper ${installDir}${bindir}/${recipe_name}/${recipe_base_name} PERL5LIB='$PERL5LIB:'"${libdir}"'/perl5/site_perl/5.34.1:'"${libdir}"'/perl5/vendor_perl/5.34.1:'"${libdir}"'/perl5/'"${recipe_version}"

    # Use /usr/bin/env nativeperl for the $[recipe_base_name] script.
    for f in `grep -Il '#! *'"${bindir}"'/'"${recipe_base_name}" ${installDir}/${bindir}/*`; do
	    sed -i -e 's|'"${bindir}"'/perl|/usr/bin/env nativeperl|' $f
    done

	# nativeperl and perl are in $exec_prefix/bin, not $bindir, as the latter
	# may be moved to $exec_prefix/bin/perl-native...
	if [[ "$bindir " =~ "/perl-native " ]]; then
		#log_exec ln -sf perl-native/perl ${installDir}${bindir}/../perlnative
		log_exec ln -sf perl-native/perl ${installDir}${bindir}/../perl
	fi	
