# Prepend script for task Package: task.package.perl-native_5.34.1-r0 (package-prepend.sh)"
# This script was imported from Yocto but may have been modified locally"

#
# Python function apply_update_alternative_renames
#
#     if not update_alternatives_enabled(d):
#        return
# 
#     import re
# 
#     def update_files(alt_target, alt_target_rename, pkg, d):
#         f = d.getVar('FILES:' + pkg)
#         if f:
#             f = re.sub(r'(^|\s)%s(\s|$)' % re.escape (alt_target), r'\1%s\2' % alt_target_rename, f)
#             d.setVar('FILES:' + pkg, f)
# 
#     # Check for deprecated usage...
#     pn = d.getVar('BPN')
#     if d.getVar('ALTERNATIVE_LINKS') != None:
#         bb.fatal('%s: Use of ALTERNATIVE_LINKS/ALTERNATIVE_PATH/ALTERNATIVE_NAME is no longer supported, please convert to the updated syntax, see update-alternatives.bbclass for more info.' % pn)
# 
#     # Do actual update alternatives processing
#     pkgdest = d.getVar('PKGD')
#     for pkg in (d.getVar('PACKAGES') or "").split():
#         # If the src == dest, we know we need to rename the dest by appending $BPN
#         link_rename = []
#         for alt_name in (d.getVar('ALTERNATIVE:%s' % pkg) or "").split():
#             alt_link     = d.getVarFlag('ALTERNATIVE_LINK_NAME', alt_name)
#             if not alt_link:
#                 alt_link = "%s/%s" % (d.getVar('bindir'), alt_name)
#                 d.setVarFlag('ALTERNATIVE_LINK_NAME', alt_name, alt_link)
#             if alt_link.startswith(os.path.join(d.getVar('sysconfdir'), 'init.d')):
#                 # Managing init scripts does not work (bug #10433), foremost
#                 # because of a race with update-rc.d
#                 bb.fatal("Using update-alternatives for managing SysV init scripts is not supported")
# 
#             alt_target   = d.getVarFlag('ALTERNATIVE_TARGET_%s' % pkg, alt_name) or d.getVarFlag('ALTERNATIVE_TARGET', alt_name)
#             alt_target   = alt_target or d.getVar('ALTERNATIVE_TARGET_%s' % pkg) or d.getVar('ALTERNATIVE_TARGET') or alt_link
#             # Sometimes alt_target is specified as relative to the link name.
#             alt_target   = os.path.join(os.path.dirname(alt_link), alt_target)
# 
#             # If the link and target are the same name, we need to rename the target.
#             if alt_link == alt_target:
#                 src = '%s/%s' % (pkgdest, alt_target)
#                 alt_target_rename = '%s.%s' % (alt_target, pn)
#                 dest = '%s/%s' % (pkgdest, alt_target_rename)
#                 if os.path.lexists(dest):
#                     bb.note('%s: Already renamed: %s' % (pn, alt_target_rename))
#                 elif os.path.lexists(src):
#                     if os.path.islink(src):
#                         # Delay rename of links
#                         link_rename.append((alt_target, alt_target_rename))
#                     else:
#                         bb.note('%s: Rename %s -> %s' % (pn, alt_target, alt_target_rename))
#                         bb.utils.rename(src, dest)
#                         update_files(alt_target, alt_target_rename, pkg, d)
#                 else:
#                     bb.warn("%s: alternative target (%s or %s) does not exist, skipping..." % (pn, alt_target, alt_target_rename))
#                     continue
#                 d.setVarFlag('ALTERNATIVE_TARGET_%s' % pkg, alt_name, alt_target_rename)
# 
#         # Process delayed link names
#         # Do these after other renames so we can correct broken links
#         for (alt_target, alt_target_rename) in link_rename:
#             src = '%s/%s' % (pkgdest, alt_target)
#             dest = '%s/%s' % (pkgdest, alt_target_rename)
#             link_target = oe.path.realpath(src, pkgdest, True)
# 
#             if os.path.lexists(link_target):
#                 # Ok, the link_target exists, we can rename
#                 bb.note('%s: Rename (link) %s -> %s' % (pn, alt_target, alt_target_rename))
#                 bb.utils.rename(src, dest)
#             else:
#                 # Try to resolve the broken link to link.$BPN
#                 link_maybe = '%s.%s' % (os.readlink(src), pn)
#                 if os.path.lexists(os.path.join(os.path.dirname(src), link_maybe)):
#                     # Ok, the renamed link target exists.. create a new link, and remove the original
#                     bb.note('%s: Creating new link %s -> %s' % (pn, alt_target_rename, link_maybe))
#                     os.symlink(link_maybe, dest)
#                     os.unlink(src)
#                 else:
#                     bb.warn('%s: Unable to resolve dangling symlink: %s' % (pn, alt_target))
#                     continue
#             update_files(alt_target, alt_target_rename, pkg, d)

#
# Shell function perl_package_preprocess
#
	# Fix up installed configuration
	sed -i -e "s,${installDir},,g" \
	       -e "s,-fmacro-prefix-map=${workDir}=/usr/src/debug/${recipe_name}/5.34.1-r0                      -fdebug-prefix-map=${workDir}=/usr/src/debug/${recipe_name}/5.34.1-r0                      -fdebug-prefix-map==                      -fdebug-prefix-map=${NATIVE_SYSROOT_LOC}= ,,g" \
	       -e "s,--sysroot=,,g" \
	       -e "s,-isystem${includedir} ,,g" \
	       -e "s,${libdir},${libdir},g" \
	       -e "s,${bindir},${bindir},g" \
	       -e "s,${includedir},${includedir},g" \
	       -e "s,${bindir}/perl-native,${bindir},g" \
	       -e "s,${bindir},,g" \
	       -e "s,${bindir}/x86_64-linux,${bindir},g" \
	       -e 's:'"${TARGET_SYSROOT_LOC}"'::g' \
	    ${workDir}/package${bindir}/h2xs.perl \
	    ${workDir}/package${bindir}/h2ph.perl \
	    ${workDir}/package${bindir}/pod2man.perl \
	    ${workDir}/package${bindir}/pod2text.perl \
	    ${workDir}/package${bindir}/pod2usage.perl \
	    ${workDir}/package${bindir}/podchecker.perl \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/CORE/config.h \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/CORE/perl.h \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/CORE/pp.h \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/Config.pm \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/Config.pm \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/Config.pod \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/Config_git.pl \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/${configure_host_alias}/Config_heavy.pl \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/ExtUtils/Liblist/Kid.pm \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/FileCache.pm \
	    ${workDir}/package${libdir}/perl5/${recipe_version}/pod/*.pod \
	    ${workDir}/package${libdir}/perl5/config.sh
