#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
	log_run install -d ${installDir}${bindir}/crossscripts

	qemu_binary=qemu-${arch_name}
	qemu_options='-r 3.2.0  -E LD_LIBRARY_PATH=${TARGET_SYSROOT_LOC}'"/usr/lib"':${TARGET_SYSROOT_LOC}'"/lib"

	cat >> ${installDir}${bindir}/crossscripts/${recipe_base_name} << EOF
set -x

if [ True = False -a "${recipe_name}" != "nativesdk-qemuwrapper-cross" ]; then
	echo "qemuwrapper: qemu usermode is not supported"
	exit 1
fi


$qemu_binary $qemu_options "\$@"
EOF

	log_run chmod +x ${installDir}${bindir}/crossscripts/${recipe_base_name}
}

do_buildstep_prepend

local_do_install

do_buildstep_append