# Append script for task Install: task.install.groff-native_1.22.4-r1 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	# Some distros have both /bin/perl and /usr/bin/perl, but we set perl location
	# for target $[AS]/usr/bin/perl, so fix it to /usr/bin/perl.
	for i in afmtodit mmroff gropdf pdfmom grog; do
		if [ -f ${installDir}${bindir}/$i ]; then
			sed -i -e '1s,#!.*perl,#! /usr/bin/env perl,' ${installDir}${bindir}/$i
		fi
	done
	if [ -e ${installDir}${libdir}/charset.alias ]; then
		rm -rf ${installDir}${libdir}/charset.alias
	fi

	# awk is located at /usr/bin, not /bin
	SPECIAL_AWK=`find ${installDir} -name special.awk`
	if [ -f $SPECIAL_AWK ]; then
		sed -i -e 's:#!.*awk:#! /usr/bin/awk:' $SPECIAL_AWK
	fi

	# not ship /usr/bin/glilypond and its releated files in embedded target system
	rm -rf ${installDir}${bindir}/glilypond
	rm -rf ${installDir}${libdir}/${recipe_base_name}/glilypond
	rm -rf ${installDir}${mandir}/man1/glilypond*

	# not ship /usr/bin/grap2graph and its releated man files
	rm -rf ${installDir}${bindir}/grap2graph
	rm -rf ${installDir}${mandir}/man1/grap2graph*
	create_cmdline_wrapper ${installDir}/${bindir}/${recipe_base_name} \
		-F${datadir}/${recipe_base_name}/${recipe_version}/font \
		-M${datadir}/${recipe_base_name}/${recipe_version}/tmac
