#!/bin/bash
#
# Recipe-specific step for task Install: task.install.pigz-native_2.7-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	# Install files into /bin (FHS), which is typical place for gzip
	log_run install -d ${installDir}${base_bindir}
	log_run install ${buildDir}/${recipe_base_name} ${installDir}${base_bindir}/${recipe_base_name}
	log_run ln -nsf ${recipe_base_name} ${installDir}${base_bindir}/unpigz
	log_run ln -nsf ${recipe_base_name} ${installDir}${base_bindir}/pigzcat
	log_run install -d ${installDir}${bindir}
	log_run install ${buildDir}/${recipe_base_name} ${installDir}${bindir}/gzip
	log_run ln -nsf gzip ${installDir}${bindir}/gunzip
	log_run ln -nsf gzip ${installDir}${bindir}/zcat
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

