#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
	# Ensure we add a suitable securetty file to the package that has
	# most common embedded TTYs defined.
	log_run install -d ${installDir}${sysconfdir}
	log_run install -m 0400 ${buildDir}/securetty ${installDir}${sysconfdir}/securetty
	if [ ! -z "${serial_consoles}" ]; then
		# Our SERIAL_CONSOLES contains a baud rate and sometimes extra
		# options as well. The following pearl :) takes that and converts
		# it into newline-separated tty's and appends them into
		# securetty. So if a machine has a weird looking console device
		# node (e.g. ttyAMA0) that securetty does not know, it will get
		# appended to securetty and root logins will be allowed on that
		# console.
		tmp="${serial_consoles}"
		for entry in $tmp ; do
			ttydev=`echo "$entry" | sed -e 's/^[0-9]*\:/' -e 's/\:.*/'`
			if ! grep -q $ttydev ${installDir}${sysconfdir}/securetty; then
				echo $ttydev >> ${installDir}${sysconfdir}/securetty
			fi
		done
	fi
}

do_buildstep_prepend

local_do_install

do_buildstep_append