#!/bin/bash
#
# Recipe-specific step for task Install: task.install.ttf-liberation-sans-narrow_1.07.4-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
    log_run install -d ${installDir}${datadir}/fonts/truetype
    find . -name '*.tt[cf]' -exec install -m 0644 {} ${installDir}${datadir}/fonts/truetype \;
    log_run install -d ${installDir}${datadir}/fonts/TTF
    log_run install -d ${installDir}${sysconfdir}/fonts/conf.d
    log_run install -m 0644 LiberationSansNarrow*.ttf ${installDir}${datadir}/fonts/TTF
    log_run install -D -m 0644 ${workDir}/30-0-liberation-sans-narrow.conf ${installDir}${sysconfdir}/conf.avail/30-ttf-liberation-sans-narrow-sans.conf
    log_run install -D -m 0644 ${buildDir}/License.txt ${installDir}${datadir}/licenses/${recipe_name}/LICENSE
    # normal liberation fonts come from ttf-liberation recipe so delete here
    rm -rf ${installDir}${datadir}/fonts/truetype
}

do_buildstep_prepend

local_do_install

do_buildstep_append

