#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_run install -d ${installDir}${sysconfdir}/systemd/coredump.conf.d
log_run install -m 644 ${workDir}/coredump-custom.conf ${installDir}${sysconfdir}/systemd/coredump.conf.d

# ignore poweroff key on logind
log_run install -d ${installDir}${base_libdir}/systemd/logind.conf.d
echo "[Login]" > ${installDir}${base_libdir}/systemd/logind.conf.d/01-sw4linux.conf
echo "HandlePowerKey=ignore" >> ${installDir}${base_libdir}/systemd/logind.conf.d/01-sw4linux.conf

# Journal, do not store journald on filesystem (syslog make it already)
log_run install -d ${installDir}${base_libdir}/systemd/journald.conf.d
echo "[Journal]" > ${installDir}${base_libdir}/systemd/journald.conf.d/01-sw4linux.conf
echo "Storage=volatile" >> ${installDir}${base_libdir}/systemd/journald.conf.d/01-sw4linux.conf
log_run install -D -m0644 ${workDir}/journald.conf ${installDir}${base_libdir}/systemd/journald.conf.d/00-systemd-conf.conf
log_run install -D -m0644 ${workDir}/logind.conf ${installDir}${base_libdir}/systemd/logind.conf.d/00-systemd-conf.conf
log_run install -D -m0644 ${workDir}/system.conf ${installDir}${base_libdir}/systemd/system.conf.d/00-systemd-conf.conf

if true; then
	log_run install -D -m0644 ${workDir}/wired.network ${installDir}${base_libdir}/systemd/network/80-wired.network
fi

# enable watchdog on systemd configuration
if [ "${USE_WATCHDOG}" = "yes" ]; then 
	log_run install -d ${installDir}${base_libdir}/systemd/system.conf.d
	echo "[Manager]" > ${installDir}${base_libdir}/systemd/system.conf.d/01-watchdog.conf
	echo "RuntimeWatchdogSec=32" >> ${installDir}${base_libdir}/systemd/system.conf.d/01-watchdog.conf
	echo "ShutdownWatchdogSec=2min" >> ${installDir}${base_libdir}/systemd/system.conf.d/01-watchdog.conf
fi
	
do_buildstep_append