#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
	PEP517_WHEEL_PATH="${buildDir}/dist"
	export STAGING_INCDIR=${SYSROOT_LOC}${includedir}
	export STAGING_LIBDIR=${SYSROOT_LOC}${libdir}
	COUNT=$(find ${PEP517_WHEEL_PATH} -name '*.whl' | wc -l)
    if test $COUNT -eq 0; then
        fatal 1 "No wheels found in ${PEP517_WHEEL_PATH}"
    elif test $COUNT -gt 1; then
        fatal 1 "More than one wheel found in ${PEP517_WHEEL_PATH}, this should not happen"
    fi

    log_exec nativepython3 -m installer --compile-bytecode=0 --interpreter "/usr/bin/env python3" --destdir=${installDir} ${PEP517_WHEEL_PATH}/*.whl
}


do_buildstep_prepend

local_do_install

do_buildstep_append
