#!/bin/bash
# Generic buildstep script

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

python_pep517_do_install() {
	COUNT=$(find ${S}/dist -name '*.whl' | wc -l)
    if test $COUNT -eq 0; then
        fatal 1 "No wheels found in ${S}/dist"
    elif test $COUNT -gt 1; then
        fatal 1 "More than one wheel found in ${S}/dist, this should not happen"
    fi

    log_run nativepython3 -m installer --no-compile-bytecode --interpreter "/usr/bin/env nativepython3" --destdir=${installDir} ${S}/dist/*.whl
}

function local_do_install() {
    python_pep517_do_install
}

do_buildstep_prepend

local_do_install

do_buildstep_append
