# Append script for task Install: task.install.python3_3.10.4-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	create_multilib_header python3.10/pyconfig.h
	for c in ${installDir}/${libdir}/python3.10/_sysconfigdata*.py; do
	    ${recipe_name} ${workDir}/reformat_sysconfig.py $c
	done
	rm -f ${installDir}${libdir}/python3.10/__pycache__/_sysconfigdata*.cpython*

	log_run mkdir -p ${installDir}${libdir}/python-sysconfigdata
	sysconfigfile=`find ${installDir} -name _sysconfig*.py`
	sed -i  \
		-e "s,^ 'LIBDIR'.*, 'LIBDIR': '${TARGET_SYSROOT_LOC}${libdir}'\,,g" \
		-e "s,^ 'INCLUDEDIR'.*, 'INCLUDEDIR': '${TARGET_SYSROOT_LOC}${includedir}'\,,g" \
		-e "s,^ 'CONFINCLUDEDIR'.*, 'CONFINCLUDEDIR': '${TARGET_SYSROOT_LOC}${includedir}'\,,g" \
		-e "/^ 'INCLDIRSTOMAKE'/{N; s,${includedir},${TARGET_SYSROOT_LOC}${includedir},g}" \
		-e "/^ 'INCLUDEPY'/s,${includedir},${TARGET_SYSROOT_LOC}${includedir},g" \
		-e "s,${buildDir},/build/path/unavailable,g" \
		$sysconfigfile
	log_run cp $sysconfigfile ${installDir}${libdir}/python-sysconfigdata/_sysconfigdata.py


	# Unfortunately the following pyc files are non-deterministc due to 'frozenset'
	# being written without strict ordering, even with PYTHONHASHSEED = 0
	# Upstream is discussing ways to solve the issue properly, until then let's
	# just not install the problematic files.
	# More info: http://benno.id.au/blog/2013/01/15/python-determinism
	rm -f ${installDir}${libdir}/python3.10/test/__pycache__/test_range.cpython*
	rm -f ${installDir}${libdir}/python3.10/test/__pycache__/test_xml_etree.cpython*

	# Similar to the above, we're getting reproducibility issues with
	# $[libdir]/python3.10/__pycache__/traceback.cpython-310.pyc
	# so remove it too
	rm -f ${installDir}${libdir}/python3.10/__pycache__/traceback.cpython*

	# Remove the opt-1.pyc and opt-2.pyc files. They effectively waste space on embedded
	# style targets as they're only used when python is called with the -O or -OO options
	# which is rare.
	find ${installDir} -name *opt-*.pyc -delete
