#!/bin/bash
#
# Recipe-specific step for task Install: task.install.libcap_2.65-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	do_make_install \
		 PAM_CAP=yes \
		DESTDIR="${installDir}" \
		prefix="${prefix}" \
		SBINDIR="${sbindir}"
	# Move the library to base_libdir
	log_run install -d ${installDir}${base_libdir}
	if [ ! ${installDir}${libdir} -ef ${installDir}${base_libdir} ]; then
		log_run mv ${installDir}${libdir}/libcap* ${installDir}${base_libdir}
		if [ -d ${installDir}${libdir}/security ]; then
			log_run mv ${installDir}${libdir}/security ${installDir}${base_libdir}
		fi
	fi
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

